﻿using LibW4M.Data.X;
using LibW4M.Data.Teams;
using LibW4M.Data.WeaponFactory;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using W4Gui.Dialogs;
using W4Gui.Tabs;
using LibW4M.Data.Highscores;

namespace W4Gui.Components.VariablePanel
{
    public partial class StringVariablePanel : UserControl
    {
        public StringVariablePanel()
        {
            InitializeComponent();
        }

        public void SaveResourceData(ref StringResourceDetail resource)
        {
            // Load general
            resource.Value = DataManager.SaveFile.LookupString(selValue.Text);
            resource.Name = DataManager.SaveFile.LookupString(selName.Text);
            resource.Flags = selFlags.Value;
        }

        public void LoadResourceData(StringResourceDetail resource)
        {
            // Load general
            this.selValue.Text = resource.Value.Value;
            this.selName.Text = resource.Name.Value;
            this.selFlags.Value = resource.Flags;
        }
    }
}
