﻿using LibW4M.Data.Schemes;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace W4Gui.Components
{
    public partial class WeaponSettingsPanel : UserControl
    {
        public WeaponSettingsPanel()
        {
            InitializeComponent();
        }

        public void LoadWeaponSettingsData(WeaponSettingsData wsd)
        {
            this.selAmmo.Value = wsd.Ammo;
            this.selCrate.Value = wsd.Crate;
            this.selTurnDelay.Value = wsd.Delay;
        }
        public void SaveWeaponSettingsData(ref WeaponSettingsData wsd)
        {
            wsd.Ammo = this.selAmmo.Value;
            wsd.Crate = this.selCrate.Value;
            wsd.Delay = this.selTurnDelay.Value;
        }
    }
}
